---
title: "Get resource details"
url: "https://docs.signnow.com/docs/deprecated-branding/operations/get-v2-brands-brand_id-resource"
type: "endpoint"
section: "deprecated-branding"
slug: "deprecated-branding/operations/get-v2-brands-brand_id-resource"
method: "GET"
path: "/v2/brands/{brand_id}/{resource}"
operation_id: "get-v2-brands-brand_id-resource"
authorization: "bearer"
---

# Get resource details

`GET /v2/brands/{brand_id}/{resource}`

This endpoint allows users to get an information about a brand resource (general/editor/logo/email).

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `brand_id` | string | Yes | ID of the brand. Must match the pattern: [a-z0-9]{40}. |
| `resource` | string | Yes | Possible values: `general`, `editor`, `logo`, `email`. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Responses

### 200

OK

**Example** (`example-1`)

```json
{
  "data": {
    "general": {}
  }
}
```

### 400

* Request without token/with invalid external bearer token/ with external app basic token
* Request with a valid bearer token from another user logged in
* Request with bearer token from user authorised with external token from app they don’t own

**Example** (`Request with valid bearer token from another user logged in`)

```json
{
  "code": 25002030,
  "message": "No access to the brand."
}
```

**Example** (`Request without token/with invalid external bearer token/ with external app basic token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 404

* Request with bearer token from user authorised with external token from app they don’t own
* Request with `brand_id` which does not exist/ deleted
* Request with resource which does not exist/ deleted

**Example** (`Request with `brand_id` which does not exist/ deleted`)

```json
{
  "code": 25002016,
  "message": "Brand not found."
}
```

**Example** (`example-1Request with resource which does not exist/ deleted`)

```json
{
  "code": 25002036,
  "message": "Brand resource not found. Resource name: email."
}
```

**Example** (`Request with bearer token from user authorised with external token from app they don’t own`)

```json
{
  "errors": [
    {
      "code": 25002001,
      "message": "Brand action not allowed."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/brands/{brand_id}/{resource}" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/deprecated-branding/operations/get-v2-brands-brand_id-resource*
